## dnsmasq 2.68

=== contrib/wrt/Makefile ===
CFLAGS?= -O2 -Wall -W

all: dhcp_release dhcp_lease_time

clean:
	rm -f *~ *.o core dhcp_release dhcp_lease_time
