## dnsmasq 2.72

=== debian/changelog ===
dnsmasq (2.72-3+deb8u8) jessie-security; urgency=medium

  * Non-maintainer upload by the ELTS Security Team.
  * Remove DNSSEC support, fixing:
    - CVE-2023-50387 (aka the "KeyTrap" issue).
    - CVE-2023-50868 (aka the "NSEC3" issue).
  * Add debian/gbp.conf.
  * Backport autopkgtests, remove lua tests
  * Include salsa CI tests for jessie
  * Fix autopkgtest build dependencies

 -- Lee Garrett <debian@rocketjump.eu>  Wed, 26 Feb 2025 18:17:53 +0100

dnsmasq (2.72-3+deb8u7) jessie-security; urgency=high

  * Non-maintainer upload by the ELTS Security Team.
  * Move to source version 3.0
  * Improve salsa testing.
  * CVE-2019-14834: A vulnerability was found in dnsmasq before version
    2.81, where the memory leak allows remote attackers to cause a denial
    of service (memory consumption) via vectors involving DHCP response
    creation. (Closes: #948373).
  * CVE-2023-28450: The default maximum EDNS.0 UDP packet size was set
    to 4096 but should be 1232 because of DNS Flag Day 2020.
    (Closes: #1033165)
  * CVE-2022-0934: A single-byte, non-arbitrary write/use-after-free flaw
    was found in dnsmasq. This flaw allows an attacker who sends a crafted
    packet processed by dnsmasq, potentially causing a denial of
    service. (Closes: #1014715)

 -- Bastien Roucariès <rouca@debian.org>  Mon, 10 Apr 2023 10:25:55 +0000

dnsmasq (2.72-3+deb8u6) jessie-security; urgency=high
  
  * Non-maintainer upload by the ELTS Security Team.
  * CVE-2020-25681, CVE-2020-25682, CVE-2020-25683, CVE-2020-25687: a
    heap-based buffer overflow was discovered in dnsmasq when DNSSEC is
    enabled. All are fixed with the same patch.
  * CVE-2020-25684: allows an off-path (non-MITM) attacker to attempt a
    DNS Cache Poisoning attack. If chained with CVE-2020-25685 or
    CVE-2020-25686, the attack complexity of a successful attack is
    reduced. (CVE-2020-25685 and CVE-2020-25686 are not fixed in this
    version, see security-tracker.debian.org.)

 -- Sylvain Beucler <beuc@debian.org>  Mon, 22 Mar 2021 16:56:09 +0100

dnsmasq (2.72-3+deb8u5) jessie-security; urgency=high

  * Non-maintainer upload by the LTS Security Team.
  * CVE-2019-14513: Improper bounds checking

 -- Jonas Meurer <jonas@freesources.org>  Fri, 13 Sep 2019 11:57:09 +0200

dnsmasq (2.72-3+deb8u4) jessie-security; urgency=medium

  * Non-maintainer upload by the LTS team.
  * trust-anchors.conf: include latest DNS trust anchor (KSK-2017).
    (Closes: #907887)

 -- Santiago Ruano Rincón <santiagorr@riseup.net>  Mon, 01 Oct 2018 08:04:28 +0200

dnsmasq (2.72-3+deb8u3) jessie-security; urgency=medium

  * Non-maintainer upload by the LTS team.
  * Update init service for dns-root-data changes to fix dnsmasq
    startup when dns-root-data is installed. Closes: #860064.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Fri, 20 Jul 2018 11:15:50 +0200

dnsmasq (2.72-3+deb8u2) jessie-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * CVE-2017-14491: DNS heap buffer overflow
  * CVE-2017-14492: DHCPv6 RA heap overflow
  * CVE-2017-14493: DHCPv6 - Stack buffer overflow
  * CVE-2017-14494: Infoleak handling DHCPv6 forwarded requests
  * CVE-2017-14491: DNS heap buffer overflow (further fix)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 01 Oct 2017 19:14:59 +0200

dnsmasq (2.72-3+deb8u1) jessie-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * CVE-2015-3294: denial of service and memory disclosure via malformed
    DNS requests (Closes: #783459)

 -- Salvatore Bonaccorso <carnil@debian.org>  Tue, 05 May 2015 11:15:01 +0200

dnsmasq (2.72-3) unstable; urgency=medium

   * debian/systemd.service: switch from Type=dbus to Type=forking.
     dnsmasq does not depend on dbus, but Type=dbus systemd services cannot
     work without it. (Closes: #769486, #776530)
     - debian/init: when called with systemd-exec argument, let dnsmasq
       go into the background, so Type=forking can detect when it is ready
   * Remove line containing only whitespace in debian/contol.
     (closes: #777571)

 -- Simon Kelley <simon@thekelleys.org.uk>  Wed, 11 Feb 2015 21:56:12 +0000

dnsmasq (2.72-2) unstable; urgency=low

   * Fix build in Debian-kFreeBSD. (closes: #763693)

 -- Simon Kelley <simon@thekelleys.org.uk>  Thu, 02 Oct 2014 22:34:12 +0000

dnsmasq (2.72-1) unstable; urgency=low

   * New upstream.
   * If dns-root-data package is installed, use it to set the DNSSEC
     trust anchor(s). Recommend dns-root-data. (closes: #760460)
   * Handle AD bit correctly in replies from cache. (closes: #761654)

 -- Simon Kelley <simon@thekelleys.org.uk>  Tue, 20 May 2014 21:01:11 +0000

dnsmasq (2.71-1) unstable; urgency=low

   * New upstream.
   * Fix 100% CPU-usage bug when dnsmasq started with cachesize
     set to zero. (LP: #1314697)

 -- Simon Kelley <simon@thekelleys.org.uk>  Fri, 16 May 2014 20:17:10 +0000

dnsmasq (2.70-3) unstable; urgency=medium

   * Write a pid-file, even when being started using systemd, since
     other components may wish to signal dnsmasq.
   * Enable dnsmasq systemd unit on install. Otherwise dnsmasq does not run on
     fresh installations (without administrator handholding) and even worse it
     is disabled on systems switching from sysv to systemd. Modify
     postinst/postrm exactly as dh_systemd would, add dependency on
     init-system-helpers. Closes: #724602

 -- Simon Kelley <simon@thekelleys.org.uk>  Sun, 11 May 2014 17:45:21 +0000

dnsmasq (2.70-2) unstable; urgency=low

   * Ensure daemon not stared if dnsmasq package has been removed,
     even if dnsmasq-base is still installed. (closes: #746941)
   * Tidy cruft in initscript. (closes: #746940)

 -- Simon Kelley <simon@thekelleys.org.uk>  Sun, 04 May 2014 21:34:11 +0000

dnsmasq (2.70-1) unstable; urgency=low

   * New upstream.

 -- Simon Kelley <simon@thekelleys.org.uk>  Wed, 23 Apr 2014 15:14:42 +0000

dnsmasq (2.69-1) unstable; urgency=low

   * New upstream.

