=== debian/tests/control ===
Tests: compile-time-options
Depends: dnsmasq,
         dnsmasq-base,
Restrictions: needs-root,
              isolation-container,
